Bug 68685 - Update Port: devel/svk to 0.16 with 2 dependent ports
Summary: Update Port: devel/svk to 0.16 with 2 dependent ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-05 10:40 UTC by Rong-En Fan
Modified: 2004-07-18 16:02 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.13 KB, patch)
2004-07-05 10:40 UTC, Rong-En Fan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rong-En Fan 2004-07-05 10:40:26 UTC
	svk 0.16 has released in June 30. Also update p5-Data-Hierarchy
	and p5-SVN-Mirror.
Comment 1 Volker Stolz freebsd_committer 2004-07-06 15:18:59 UTC
State Changed
From-To: open->feedback

Forewarded PR to maintainer
Comment 2 Volker Stolz freebsd_committer 2004-07-06 15:19:15 UTC
Dear maintainer, please review the proposed patch!

Note to submitter: Please try to contact the maintainer before submitting  
a PR.

Cheers,
   Volker
Comment 3 Volker Stolz freebsd_committer 2004-07-06 15:57:37 UTC
State Changed
From-To: feedback->open

Maintainer approved patch, but I'm off for today.
Comment 4 Volker Stolz freebsd_committer 2004-07-07 14:27:01 UTC
BTW, this requires perl 5.8, so I ain't gonna touch it again, not even  
with a 6ft pole :)
Comment 5 Rong-En Fan 2004-07-14 18:20:44 UTC
There are several new manual pages introduced
in 0.16. here is the patch.

diff -ruN svk.orig/Makefile svk/Makefile
--- svk.orig/Makefile	Thu Jul 15 01:13:26 2004
+++ svk/Makefile	Thu Jul 15 01:15:23 2004
@@ -37,7 +37,6 @@
 
 MAN1=		svk.1
 MAN3=		SVK.3 \
-		SVK::CombineEditor.3 \
 		SVK::Command::Add.3 \
 		SVK::Command::Annotate.3 \
 		SVK::Command::Cat.3 \
@@ -53,26 +52,31 @@
 		SVK::Command::Help.3 \
 		SVK::Command::Import.3 \
 		SVK::Command::Info.3 \
-	       	SVK::Command::List.3 \
+		SVK::Command::List.3 \
 		SVK::Command::Log.3 \
 		SVK::Command::Merge.3 \
 		SVK::Command::Mirror.3 \
 		SVK::Command::Mkdir.3 \
+		SVK::Command::Patch.3 \
 		SVK::Command::Propdel.3 \
-	       	SVK::Command::Propedit.3 \
+		SVK::Command::Propedit.3 \
 		SVK::Command::Proplist.3 \
 		SVK::Command::Propset.3 \
 		SVK::Command::Resolved.3 \
 		SVK::Command::Revert.3 \
 		SVK::Command::Smerge.3 \
 		SVK::Command::Status.3 \
-	       	SVK::Command::Switch.3 \
+		SVK::Command::Switch.3 \
 		SVK::Command::Sync.3 \
 		SVK::Command::Update.3 \
 		SVK::Command::Verify.3 \
-		SVK::DiffEditor.3 \
-		SVK::MergeEditor.3 \
+		SVK::Editor::Combine.3 \
+		SVK::Editor::Diff.3 \
+		SVK::Editor::Merge.3 \
+		SVK::Editor::Patch.3 \
+		SVK::Editor::XD.3 \
 		SVK::Notify.3 \
+		SVK::Patch.3 \
 		SVK::XD.3
 
 .include <bsd.port.pre.mk>
Comment 6 Vanilla I. Shu freebsd_committer 2004-07-18 16:02:27 UTC
State Changed
From-To: open->closed

Committed, thanks.